      subroutine cursor
c
c Initialize the mouse device and put a cursor on the screen 
c
c James Blake
c @(#)cursor.f	1.1  4/3/89 
c
      integer x,y,xlist(1),ylist(1),choice
      character*80 string
      include 'device_type.h'
      data x, y /16384, 16384/
c
c Initialize the graphics input device and number.
c
      if (color_ws .or. mono_ws) then
         call cfinitlid(0,1,x,y,xlist,ylist,n,val,choice,
     $                  string,segid,pickid)
c     
c Enable tracing of the mouse.
c
         call cftrackon(0,1,1,0,0,10000,10000,x,y,xlist,ylist,n,
     $                  val,choice,string,segid,pickid)
c
c Release the device.
c
         call cftrackoff(0,1,0,0)
         call cfrelidev(0,1)
      endif
      return
      end
